Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1606301 - sbd: FTBFS in Fedora rawhide
Summary: sbd: FTBFS in Fedora rawhide
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: sbd
Version: 29
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Klaus Wenninger
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F29FTBFS
TreeView+ depends on / blocked
 
Reported: 2018-07-20 19:24 UTC by Mohan Boddu
Modified: 2019-01-05 02:30 UTC (History)
5 users (show)

Fixed In Version: sbd-1.3.1-1.git4927571.fc29
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-01-05 02:30:55 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)
build.log (deleted)
2018-07-20 19:24 UTC, Mohan Boddu
no flags Details
root.log (deleted)
2018-07-20 19:24 UTC, Mohan Boddu
no flags Details
state.log (deleted)
2018-07-20 19:24 UTC, Mohan Boddu
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Red Hat Bugzilla 1605388 0 unspecified CLOSED pcs: FTBFS in Fedora rawhide 2021-02-22 00:41:40 UTC

Internal Links: 1605388

Description Mohan Boddu 2018-07-20 19:24:17 UTC
sbd failed to build from source in Fedora rawhide

https://koji.fedoraproject.org/koji/taskinfo?taskID=28232873


For details on the mass rebuild see:

https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild
Please fix sbd at your earliest convenience and set the bug's status to
ASSIGNED when you start fixing it. If the bug remains in NEW state for 8 weeks,
sbd will be orphaned. Before branching of Fedora 30,
sbd will be retired, if it still fails to build.

For more details on the FTBFS policy, please visit:
https://fedoraproject.org/wiki/Fails_to_build_from_source

Comment 1 Mohan Boddu 2018-07-20 19:24:22 UTC
Created attachment 1467925 [details]
build.log

Comment 2 Mohan Boddu 2018-07-20 19:24:26 UTC
Created attachment 1467926 [details]
root.log

file root.log too big, will only attach last 32768 bytes

Comment 3 Mohan Boddu 2018-07-20 19:24:34 UTC
Created attachment 1467927 [details]
state.log

Comment 4 Klaus Wenninger 2018-07-25 12:03:52 UTC
As pacemaker has been lifted to 2.0.x we need an SBD-version that can be built against pacemaker-2.0.x.
Probably the time has come to lift SBD to a current upstream version instead of patching the old one.

Comment 5 Jan Kurik 2018-08-14 11:13:31 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 29 development cycle.
Changing version to '29'.

Comment 6 Fedora Update System 2018-11-21 17:12:01 UTC
sbd-1.3.1-1.git4927571.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-cafed1ee4f

Comment 7 Fedora Update System 2018-11-22 05:38:32 UTC
sbd-1.3.1-1.git4927571.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-cafed1ee4f

Comment 8 Fedora Update System 2019-01-05 02:30:55 UTC
sbd-1.3.1-1.git4927571.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.